<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg(); 



switch (@$_GET['type']) {
case 'favorite':
$type='favorite';
$type_name='Избранные';
break;
case 'ignor':
$type='ignor';
$type_name='Игнорируемые';
break;
case 'deleted':
$type='deleted';
$type_name='Удаленные';
break;
default:
$type='common';
$type_name='Общие';
break;
}


$set['title']=$type_name.' контакты';
include_once 'sys/inc/thead.php';
title();




if (isset($_GET['id']))
{
$ank=get_user($_GET['id']);
if ($ank)
{
if (isset($_GET['act']))
{
switch ($_GET['act']) {
case 'add':
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==1)
$err[]='Этот пользователь уже есть в вашем списке контактов';
else
{
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
msg ('Контакт успешно добавлен');
}

break;
case 'del':
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'deleted', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
msg ('Контакт перенесен в группу удаленные');
$type='deleted';
}
break;
}
}
}
else
$err[]='Пользователь не найден';
}

if (isset($_GET['act']) && $_GET['act']==='edit_ok' && isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"),0)==1)
{
$ank=get_user(intval($_GET['id']));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==1)
{
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
if (isset($_POST['name']) && $_POST['name']!=($kont['name']!=null?$kont['name']:$ank['nick']))
{
if (preg_match('#[^A-zА-я0-9\-_\.,\[\]\(\) ]#i', $_POST['name']))$err[]='В названии контакта присутствуют запрещенные символы';
if (strlen($_POST['name'])>64)$err[]='Название контакта длиннее 64-х символов';

if (!isset($err))
{
mysql_query("UPDATE `users_konts` SET `name` = '".mysql_real_escape_string(htmlspecialchars($_POST['name']))."' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
msg ('Контакт успешно переименован');
}
}

if (isset($_POST['type']) && preg_match('#^(common|ignor|favorite|deleted)$#',$_POST['type']) && $_POST['type']!=$type)
{
mysql_query("UPDATE `users_konts` SET `type` = '$_POST[type]', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
msg ('Контакт успешно перенесен');
}

}
else
$err[]='Контакт не найден';
}

aut();
err();


if ($type=='deleted')echo "Контакты из этой группы удаляются через 30 дней<br />\n";
if ($type=='ignor')echo "Уведомления о сообщениях от этих контактов не появляются<br />\n";
if ($type=='favorite')echo "Уведомления о сообщениях от этих контактов выделяются<br />\n";


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = '$type'"), 0);
echo "Контактов: $k_post<br />\n";

if ($k_post){

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
$q=mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = '$type' ORDER BY `time` DESC, `new_msg` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ank_kont=get_user($post['id_kont']);
$k_mess=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]'"), 0);
$k_new_mess=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]' AND `read` = '0'"), 0);





echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank_kont['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "".status($ank_kont['id'])."";
echo "  </td>\n";
}
echo "  <td class='p_t'>\n";
echo ($k_new_mess!=0?'<span class="off">[new]</span> ':null)."<a href=\"/mail.php?id=$ank_kont[id]\">".($post['name']!=null?$post['name']:$ank_kont['nick'])."</a>".online($ank_kont['id'])."\n";
echo ($k_new_mess!=0?'<b>':null)."(".($k_new_mess!=0?'+'.$k_new_mess:$k_mess).")".($k_new_mess!=0?'</b>':null);
echo "  </td>\n";
echo "   </tr>\n";

echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
echo "<a href=\"/info.php?id=$ank_kont[id]\">Анкета</a><br />\n";
if ($type!='deleted')echo "<a href='/konts.php?type=$type&amp;act=del&amp;id=$ank_kont[id]'>Удалить контакт </a><br />\n";


if (isset($_GET['act']) && $_GET['act']==='edit' && isset($_GET['id']) && $_GET['id']==$ank_kont['id'])
{
echo "<form method='post' action='?type=$type&amp;act=edit_ok&amp;id=$ank_kont[id]&amp;page=$page'>\n";
echo "Отображать как:<br />\n";
echo "<input type='text' maxlenght='64' name='name' value='".($post['name']!=null?$post['name']:$ank_kont['nick'])."' /><br />\n";
echo "Группа:<br />\n";
echo "<select name='type'>\n";
echo "<option value='common'".($type=='common'?" selected='selected'":null).">Общая</option>\n";
echo "<option value='favorite'".($type=='favorite'?" selected='selected'":null).">Избранные</option>\n";
echo "<option value='ignor'".($type=='ignor'?" selected='selected'":null).">Игнор</option>\n";
echo "<option value='deleted'".($type=='deleted'?" selected='selected'":null).">Удаленные</option>\n";
echo "</select><br />\n";
echo "<input type='submit' name='apply' value='Применить' /><br />\n";
echo "</form>\n";
echo "<a href='?type=$type&amp;id=$ank_kont[id]&amp;page=$page'>Отмена</a><br />\n";
}
else
{
echo "<a href='?type=$type&amp;act=edit&amp;id=$ank_kont[id]&amp;page=$page'>Редактировать</a><br />\n";
}



echo "  </td>\n";
echo "   </tr>\n";
}

echo "</table>\n";


if ($k_page>1)str("?type=$type&amp;",$k_page,$page); // Вывод страниц
}
echo "<div class='menu'>";
//echo "<b>Группа:</b><br />\n";
echo ($type=='common'?'<b>':null)."<a href='?type=common'>Общие</a>".($type=='common'?'</b>':null)." (".mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = 'common'"), 0).")<br />\n";
echo ($type=='favorite'?'<b>':null)."<a href='?type=favorite'>Избранные</a>".($type=='favorite'?'</b>':null)." (".mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = 'favorite'"), 0).")<br />\n";
echo ($type=='ignor'?'<b>':null)."<a href='?type=ignor'>Игнорируемые</a>".($type=='ignor'?'</b>':null)."<br />\n";
echo ($type=='deleted'?'<b>':null)."<a href='?type=deleted'>Удаленные</a>".($type=='deleted'?'</b>':null)."<br />\n";
echo "</div>\n";
echo "<div class='foot'>\n";
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";
echo "&laquo;<a href='umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>